import { OnesTable } from '../../../../@ones-table/common';
import { GC } from '../../../../@ones-table/core';
import ConditionEditor from '../conditional-format/condition-editor';
export default class ConditionFilter {
    private table;
    conditionEditor: ConditionEditor | null;
    constructor(table: OnesTable);
    update(parent: HTMLElement, sheet: GC.Spread.Sheets.Worksheet, range: GC.Spread.Sheets.Range): void;
    destroy(): void;
    getConditions(): GC.Spread.Sheets.ConditionalFormatting.Condition[] | null;
    accept(sheet: GC.Spread.Sheets.Worksheet, range: GC.Spread.Sheets.Range): boolean;
}
